import { IKeyObjectValue } from "../type";
export declare class WorkerStorage {
    private _cache;
    constructor();
    set(key: string, value: IKeyObjectValue): void;
    setValue(mapKey: string, valKey: string, value: IKeyObjectValue): void;
    updateValue(mapKey: string, valKey: string, value: IKeyObjectValue): void;
    get(key: string): IKeyObjectValue | undefined;
    has(key: string): boolean;
    deleteStartwidthKey(startKey: string): void;
    delete(key: string): void;
    clear(): void;
}
